#
# spec file for package yast2-aduc
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-aduc
Version:        2.2
Release:        1.11
Summary:        Active Directory Users and Computers for YaST
License:        GPL-3.0-only
Group:          Productivity/Networking/Samba
URL:            https://github.com/yast/yast2-aduc

Source:         %{name}-%{version}.tar.bz2

BuildRequires:  perl-XML-Writer
BuildRequires:  python3
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools
BuildRequires:  yast2-testsuite
BuildRequires:  rubygem(%rb_default_ruby_abi:yast-rake)

Requires:       krb5-client
Requires:       samba-client
Requires:       samba-python3
Requires:       yast2
Requires:       yast2-adcommon-python >= 0.7
Requires:       yast2-python3-bindings >= 4.0.0

Provides:       yast-aduc = %{version}
Obsoletes:      yast-aduc < %{version}

BuildArch:      noarch

%description
The Active Directory Users and Computers for YaST module provides tools for
creating and modifying Users, Groups, and Computer objects in Active Directory.

%prep
%setup -q

%build

%install
%yast_install

%files
%{yast_clientdir}
%{yast_yncludedir}
%{yast_desktopdir}
%doc %{yast_docdir}
%license COPYING

%changelog
* Mon Sep 28 2020 dmulder@suse.com
- Rev version for SLE update; (jsc#ECO-2527);
- 2.2
* Fri May  1 2020 dmulder@suse.com
- Bump version 2.1:
  + yast2-aduc produces a lot of ldap traffic; (bsc#1170998);
* Wed Oct 30 2019 dmulder@suse.com
- Bump version 2.0:
  + Update aduc for realmd customer; (jsc#SLE-5527);
* Wed Sep 25 2019 dmulder@suse.com
- Update to 1.8:
  + Add ability to change/enable/unlock user's passwords; (bsc#1152052);
* Mon Sep 23 2019 dmulder@suse.com
- Update to 1.7:
  + Failure to authenticate on first try and throws a MemoryError
    on Ubuntu; (bsc#1151713);
* Thu Sep 12 2019 dmulder@suse.com
- Update to 1.6:
  + Remove the dependency on python-ldap
  + Module throws exception when smb.conf contains failing include
  + Unused xset may cause exception in appimage; (bsc#1150612);
* Mon Jul  1 2019 dmulder@suse.com
- Update to 1.5:
  + Add InetOrgPerson new object wizard; (bsc#1138203);
  + Add Contact new object wizard; (bsc#1138203);
  + Add Contacts properties page; (bsc#1138203);
  + Add MSMQ Queue Alias new dialog; (bsc#1138203);
  + Add printer dialog; (bsc#1138203);
  + Add Shared Folder dialog; (bsc#1138203);
  + Domain level can also have objects, and OUs/containers should be
    displayed in objects list.
  + Add Organizationl Unit dialog; (bsc#1138203);
  + Add the Move object dialog; (bsc#1138203);
* Mon Jun 17 2019 dmulder@suse.com
- Use the domain name stored in the samba Credentials object; (bsc#1138487);
- Display a backtrace if the connection fails.
- 1.4
* Sat Jun  8 2019 Stasiek Michalski <hellcp@mailbox.org>
- Use new schema of desktop files (boo#1084864)
- Clean up spec
- Rename desktop files
- 1.3
* Thu Mar 14 2019 dmulder@suse.com
- Update to 1.2:
  + Move the module to Network Services
  + Use common auth from yast2-adcommon-python
  + Switch to using a unified file/actions menu, instead of random buttons
  + Add change domains feature
* Tue Dec 11 2018 dmulder@suse.com
- Remove invalid python3-gssapi requires
* Tue Oct  9 2018 dmulder@suse.com
- Update to 1.1, highlights:
  * Modification of user/group account and unix attributes
  * Menus for qt and ncurses for new user/group/computer, search,
    delete, and refresh.
  * User/group/computer creation dialogs, which include unix
    attributes.
  * Autofill generated unix attributes.
  * Group memberships add/delete.
  * Move to python3.
  * Find dialog for searching ldap tree for objects.
  * Warn before deleting objects.
  * Never simple bind, since this is a security risk.
  * Reconnect the ldap session if it times out.
  * Enhanced authentication dialog: bypass password if we're already
    kinit'd for the logged in user, or check if typed user is kinit'd.
* Mon Jul 17 2017 dmulder@suse.com
- initial version
